cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/performance-summary" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/performance-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/performance-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"date": "2026-07-16",
"previousDates": [
"2026-06-09"
],
"summary": {
"totalWorkouts": 18,
"totalSets": 56,
"totalReps": 87,
"averageDurationMinutes": 180
},
"exercises": [
{
"exerciseId": "67f1234567890abcdef1234",
"name": "Bench Press",
"thumbnail": "https://cdn.example.com/ex.jpg",
"value": 79,
"unit": "kg",
"type": "weight",
"achievedAt": "2026-07-16T09:12:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"totalPages": 2,
"totalItems": 18,
"hasNextPage": true,
"hasPreviousPage": false,
"nextPage": 2,
"previousPage": false,
"totalAvailableItems": 1
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Summaries and rankings
Client Performance Summary for a date (calendar + stat cards + exercises)
Requires the workout_progress:read scope and the corresponding Workout features and permissions.
The clientId path parameter identifies a client in the company bound to the Public API token.
GET
/
public
/
v1
/
workout
/
clients
/
{clientId}
/
plans
/
performance-summary
cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/performance-summary" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/performance-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/performance-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"date": "2026-07-16",
"previousDates": [
"2026-06-09"
],
"summary": {
"totalWorkouts": 18,
"totalSets": 56,
"totalReps": 87,
"averageDurationMinutes": 180
},
"exercises": [
{
"exerciseId": "67f1234567890abcdef1234",
"name": "Bench Press",
"thumbnail": "https://cdn.example.com/ex.jpg",
"value": 79,
"unit": "kg",
"type": "weight",
"achievedAt": "2026-07-16T09:12:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"totalPages": 2,
"totalItems": 18,
"hasNextPage": true,
"hasPreviousPage": false,
"nextPage": 2,
"previousPage": false,
"totalAvailableItems": 1
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}